<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AdminMenuListener
{
    public function addAdminMenuItems(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        $blog = $menu
            ->addChild('dedi_blog')
            ->setLabel('dedi_blog.ui.blog')
        ;

        $blog
            ->addChild('dedi_blog.configuration', ['route' => 'dedi_blog_admin_blog_configuration_index'])
            ->setLabel('dedi_blog.ui.blog_configurations')
            ->setLabelAttribute('icon', 'cog')
        ;

        $blog
            ->addChild('dedi_blog.authors', ['route' => 'dedi_blog_admin_author_index'])
            ->setLabel('dedi_blog.ui.authors')
            ->setLabelAttribute('icon', 'user')
        ;

        $blog
            ->addChild('dedi_blog.categories', ['route' => 'dedi_blog_admin_category_index'])
            ->setLabel('dedi_blog.ui.categories')
            ->setLabelAttribute('icon', 'sitemap')
        ;

        $blog
            ->addChild('dedi_blog.articles', ['route' => 'dedi_blog_admin_article_index'])
            ->setLabel('dedi_blog.ui.articles')
            ->setLabelAttribute('icon', 'newspaper')
        ;

        $blog
            ->addChild('dedi_blog.comments', ['route' => 'dedi_blog_admin_comment_index'])
            ->setLabel('dedi_blog.ui.comments')
            ->setLabelAttribute('icon', 'newspaper')
        ;
    }
}
