<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Repository;

use Doctrine\ORM\QueryBuilder;
use Sylius\Component\Core\Model\ImageInterface;

/**
 * @method QueryBuilder createQueryBuilder(string $alias, string $indexBy = null)
 */
trait BlogUploadAwareRepositoryTrait
{
    public function findOneByOwnerId(string $id): ?ImageInterface
    {
        return $this->createQueryBuilder('o')
            ->andWhere('o.owner = :ownerId')
            ->setParameter('ownerId', $id)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
}
